Bug 1179421 - Example IPs for storage seeds is confusing
Summary: Example IPs for storage seeds is confusing
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation
Version: JON 3.3.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: JON 3.3.1
Assignee: Scott Mumford
QA Contact: Filip Brychta
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-06 17:48 UTC by dsteigne
Modified: 2019-02-15 13:59 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
[Install Guide] Quick fix to IP ranges.
Last Closed: 2015-11-25 05:30:20 UTC


Attachments (Terms of Use)
rhq_storage_nodes (249.21 KB, image/png)
2015-02-24 12:31 UTC, Armine Hovsepyan
no flags Details

Description dsteigne 2015-01-06 17:48:12 UTC
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.3/html/Installation_Guide/storage-server-preinstall.html
Section Number and Name: 
2.10. Installing Storage Nodes Before Installing the Server

Describe the issue: 
In Step 2, the example for the rhq.storage.seeds parameter:

rhq.storage.seeds=192.68.0.0, 192.68.0.1, 192.68.0.2

Customer states the 192.68.0.0 is invalid IP and is confusing, can you please change the example IPs to:

rhq.storage.seeds=192.68.0.1, 192.68.0.2, 192.68.0.3

Suggestions for improvement: 

Additional information:

Comment 2 Jared MORGAN 2015-02-03 07:13:03 UTC
(In reply to dsteigne from comment #0)
> Document URL: 
> https://access.redhat.com/documentation/en-US/
> Red_Hat_JBoss_Operations_Network/3.3/html/Installation_Guide/storage-server-
> preinstall.html
> Section Number and Name: 
> 2.10. Installing Storage Nodes Before Installing the Server
> 
> Describe the issue: 
> In Step 2, the example for the rhq.storage.seeds parameter:
> 
> rhq.storage.seeds=192.68.0.0, 192.68.0.1, 192.68.0.2
> 
> Customer states the 192.68.0.0 is invalid IP and is confusing, can you
> please change the example IPs to:
> 
> rhq.storage.seeds=192.68.0.1, 192.68.0.2, 192.68.0.3
> 
> Suggestions for improvement: 
> 
> Additional information:

Hi Deborah

Thanks for this bug.

I assume that the fix to the IP addresses was to 192.168.0.x: your suggested fix left the values the same as originally reported. 

There were a number of instances of these IP ranges throughout this section. I've done a search and replace in this section to ensure that any instances of 192.68. were changed to 192.168.

Thanks for bringing this to my attention. It will be live in 3.3.1.

Cheers

Jared

Comment 3 dsteigne 2015-02-03 12:15:43 UTC
Jared,

Yes sorry any valid IP addresses will do.

Debbie

Comment 4 Jared MORGAN 2015-02-18 00:05:24 UTC
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.3/html-single/Installation_Guide/index.html#ha-install shows the beginning of the changes. All IP addresses have been changed from 192.68... to 192.168...

Comment 5 Armine Hovsepyan 2015-02-24 12:30:05 UTC
verified in doc.devel 
screen-shot attached

Comment 6 Armine Hovsepyan 2015-02-24 12:31:12 UTC
Created attachment 994675 [details]
rhq_storage_nodes

Comment 7 Filip Brychta 2015-03-03 09:52:09 UTC
Looking at http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.3/html-single/Installation_Guide/index.html#ha-install


rhq.storage.nodes=192.168.0.0,192.168.0.1,192.168.0.2


First IP is still not valid - 192.168.0.0
You should not attempt to set 192.168.0.0 as a static IP address for any host, because it is reserved for use as a network address. 

So it should look like this:
rhq.storage.nodes=192.168.0.1,192.168.0.2,192.168.0.3

Comment 8 Jared MORGAN 2015-05-21 03:24:00 UTC
(In reply to Filip Brychta from comment #7)
> Looking at
> http://documentation-devel.engineering.redhat.com/site/documentation/en-US/
> Red_Hat_JBoss_Operations_Network/3.3/html-single/Installation_Guide/index.
> html#ha-install
> 
> 
> rhq.storage.nodes=192.168.0.0,192.168.0.1,192.168.0.2
> 
> 
> First IP is still not valid - 192.168.0.0
> You should not attempt to set 192.168.0.0 as a static IP address for any
> host, because it is reserved for use as a network address. 
> 
> So it should look like this:
> rhq.storage.nodes=192.168.0.1,192.168.0.2,192.168.0.3

Hi Filip

Thanks for pointing this out. I've made the changes to the IP addresses as specified. The changes are live in http://docbuilder.usersys.redhat.com/23084/ and will be pushed live to access.redhat.com tomorrow, along with a number of other changes to the Install Guide.

Comment 10 Scott Mumford 2015-09-03 00:47:05 UTC
Taking ownership of JON docs bugs.


Note You need to log in before you can comment on or make changes to this bug.